Bug 960056 - Review Request: rubygem-debug_inspector - A Ruby wrapper for the MRI 2.0 debug_inspector API
Summary: Review Request: rubygem-debug_inspector - A Ruby wrapper for the MRI 2.0 debu...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Josef Stribny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1184910
TreeView+ depends on / blocked
 
Reported: 2013-05-06 14:03 UTC by Anuj More
Modified: 2016-01-04 05:51 UTC (History)
5 users (show)

Fixed In Version: rubygem-debug_inspector-0.0.2-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-26 15:16:54 UTC
jstribny: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Anuj More 2013-05-06 14:03:06 UTC
Spec URL: http://anujmore.fedorapeople.org/pkgs/rubygem-debug_inspector/rubygem-debug_inspector.spec
SRPM URL: http://anujmore.fedorapeople.org/pkgs/rubygem-debug_inspector/rubygem-debug_inspector-0.0.2-1.fc19.src.rpm
Description: A Ruby wrapper for the MRI 2.0 debug_inspector API.
Fedora Account System Username: anujmore

Comment 1 Anuj More 2013-05-06 14:05:27 UTC
Additionally, mock builds: 

http://anujmore.fedorapeople.org/pkgs/rubygem-debug_inspector/mock-debug_inspector-build.log
http://anujmore.fedorapeople.org/pkgs/rubygem-debug_inspector/mock-debug_inspector-screen.txt

rpmlint gives this:

rubygem-debug_inspector.src:43: W: macro-in-comment %gem_dir
rubygem-debug_inspector.x86_64: W: no-soname /usr/lib64/gems/ruby/debug_inspector-0.0.2/lib/debug_inspector.so
rubygem-debug_inspector.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 2 Josef Stribny 2013-05-20 13:04:41 UTC
I will take it for a review.

Comment 3 Josef Stribny 2014-04-07 09:04:59 UTC
I am sorry for such a delay.

* Both %description for the package and its sub-package should end with a dot (.)
* %{gem_instdir}/README.md should be in the main package since it contains license (ideally you should ask upstream to split the license to a separate file)
* %{gem_instdir}/README.md should be marked as %doc
* Why do you state # TODO: move the extensions if you are moving it already?

Otherwise the package works as expected.

Comment 4 Josef Stribny 2015-01-06 08:56:30 UTC
Anuj, we need this for Rails 4.2 change, will you work on it or should I do instead?

Comment 6 Josef Stribny 2015-01-26 11:45:05 UTC
Package builds, installs, runs, rpmlint does not complain. Spec looks sane, my previous complains were fixed. ==> APPROVED.

Comment 7 Vít Ondruch 2015-01-26 11:59:10 UTC
Thanks for review!


New Package SCM Request
=======================
Package Name: rubygem-debug_inspector
Short Description: A Ruby wrapper for the MRI 2.0 debug_inspector API
Upstream URL: https://github.com/banister/debug_inspector
Owners: vondruch jstribny
Branches: 
InitialCC:

Comment 8 Gwyn Ciesla 2015-01-26 14:02:27 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.